
* TEST.CMD
* WRITTEN BY MICHAEL Lynn 5/16/83  revised 8/25/83
ERASE
RESTORE FROM B:num
STORE ' ' to who
SELE PRIM

@ 6,3 SAY 'ENTER LAST NAME OF CUSTOMER' GET lll PICTURE '!AAAAAAAAAA'
@ 8,3 SAY 'ENTER FIRST NAME           ' GET fff PICTURE '!AAAAAAAAAA'
READ
FIND &lll
   	IF #=0
   	@ 14, 5 SAY '********************'
   	@ 15, 5 SAY 'NAME NOT IN DATABASE'
   	@ 16, 5 SAY 'TO ENTER A NEW NAME TYPE Y'
   	@ 17, 2 SAY 'ANY OTHER CHARACTER TO RETURN TO MAIN MENU'
   	@ 18, 2 SAY '******************************************'
   	SET CONSOLE OFF
   	WAIT TO go  
   	SET CONSOLE ON

      		IF !(go) ='Y'
        	APPEND BLANK
        	ERASE
        	@ 3, 3 SAY "Last Name" GET last PICTURE '!AAAAAAAAAA'
        	@ 4, 3 SAY "First Name" GET first PICTURE '!AAAAAAAAAA'
        	@ 5, 3 SAY "Company or School" GET company
        	@ 6, 3 SAY "Address"  GET address
        	@ 7, 3 SAY "City" GET city 
        	@ 8, 3 SAY "State & Zipcode" GET state PICTURE '!!'
        	@ 8,28 GET zipcode PICTURE '99999'
        	READ
        	RELEASE go  
        	DO B:FILL
        	RETURN
        	ELSE
        	RETURN
      		ENDIF

  	ELSE

	DO WHILE last=lll .AND. first # fff
 	SKIP
 	ENDDO

	ENDIF

   	IF last = lll .AND. first = fff 
   	STORE 'X' to who
   	@ 12, 5 SAY TRIM(FIRST)+' '+LAST
   	@ 13, 5 SAY company
   	@ 14, 5 SAY address
   	@ 15, 5 SAY TRIM(city)+', '+state+' '+zipcode
   	@ 17, 5 SAY "IF THIS IS THE CORRECT PERSON ENTER A Y"
   	SET CONSOLE OFF
   	WAIT TO quick
   	SET CONSOLE ON
      		IF !(quick) # 'Y'		
      		RETURN
      		ENDIF
	RELEASE quick
	ENDIF

IF who =' '
@ 14, 5 SAY '********************'
@ 15, 5 SAY 'NAME NOT IN DATABASE'
@ 16, 5 SAY 'TO ENTER A NEW NAME TYPE Y'
@ 17, 2 SAY 'ANY OTHER CHARACTER TO RETURN TO MAIN MENU'
@ 18, 2 SAY '******************************************'
SET CONSOLE OFF
WAIT TO go
SET CONSOLE ON

   	IF !(go) ='Y'
        APPEND BLANK
        ERASE
        @ 3, 3 SAY "Last Name" GET last PICTURE '!AAAAAAAAAA'
        @ 4, 3 SAY "First Name" GET first PICTURE "!AAAAAAAAAA"
        @ 5, 3 SAY "Company or School" GET company
        @ 6, 3 SAY "Address"  GET address
        @ 7, 3 SAY "City" GET city 
        @ 8, 3 SAY "State & Zipcode" GET state PICTURE '!!'
        @ 8,28 GET zipcode PICTURE '99999'
        READ
        RELE go
        DO B:FILL
        RETURN
        ELSE
        RETURN
        ENDIF
ENDIF

RELEASE go
DO B:fill
RETURN
